Bug 691684 - [Pineview] No brightness support
[Pineview] No brightness support
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
15
i686 Linux
unspecified Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-29 05:08 EDT by Aznar
Modified: 2011-11-29 16:06 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-29 16:06:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output from the NF310 computer with no brightness support (72.03 KB, text/plain)
2011-03-30 14:49 EDT, Aznar
no flags Details
Xorg logs from an NF310 computer with brighness support (109.19 KB, text/plain)
2011-03-30 14:54 EDT, Aznar
no flags Details
/var/log/messages from an NF310 computer without brightness support (666.39 KB, text/plain)
2011-03-30 14:56 EDT, Aznar
no flags Details

  None (edit)
Description Aznar 2011-03-29 05:08:07 EDT
Description of problem: I can't configure the brightness of my screen


Version-Release number of selected component (if applicable): Fedora 14,

xorg-x11-server-Xorg 1.9.5

How reproducible: Every time

About the computer :
It's the Samsoung NF310 :

00:00.0 Host bridge: Intel Corporation N10 Family DMI Bridge (rev 02)
00:02.0 VGA compatible controller: Intel Corporation N10 Family Integrated Graphics Controller (rev 02)
00:02.1 Display controller: Intel Corporation N10 Family Integrated Graphics Controller (rev 02)
00:1b.0 Audio device: Intel Corporation N10/ICH 7 Family High Definition Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 2 (rev 02)
00:1c.2 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 3 (rev 02)
00:1c.3 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 4 (rev 02)
00:1d.0 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation N10/ICH 7 Family USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2)
00:1f.0 ISA bridge: Intel Corporation NM10 Family LPC Controller (rev 02)
00:1f.2 SATA controller: Intel Corporation N10/ICH7 Family SATA AHCI Controller (rev 02)
00:1f.3 SMBus: Intel Corporation N10/ICH 7 Family SMBus Controller (rev 02)
05:00.0 Network controller: Broadcom Corporation BCM4313 802.11b/g LP-PHY (rev 01)
09:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8040 PCI-E Fast Ethernet Controller
Comment 1 Matěj Cepl 2011-03-30 10:02:08 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

Also, I am not sure I understand to “I can’t configure the brightness of my screen”. What's exactly the problem? What have you tried? What have you expected to happen? What actually happened?

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Aznar 2011-03-30 14:49:11 EDT
Created attachment 488865 [details]
dmesg output from the NF310 computer with no brightness support
Comment 3 Aznar 2011-03-30 14:54:11 EDT
Created attachment 488871 [details]
Xorg logs from an NF310 computer with brighness support
Comment 4 Aznar 2011-03-30 14:56:16 EDT
Created attachment 488872 [details]
/var/log/messages from an NF310 computer without brightness support
Comment 5 Aznar 2011-03-30 15:01:58 EDT
Oups, mistake : attachment 488871 [details] 

I meant no brughtness support.

So, what do I mean by that. Well, I can't use my fonction keys + increase brightness keys to configure it nor I can use the standard KDE battery indicator menu with a brightness scroll bar in it to set it up.

Basically, if I start the computer without plugin it, so just with the battery, the screen will be stucked on the economy mode while if the computer is plugged, the screen will be stucked on the perfomance mode.
Comment 6 Matěj Cepl 2011-04-01 09:14:36 EDT
Per discussion on IRC with devs this is actually a kernel issue. Reassigning.
Comment 7 Aznar 2011-04-02 06:27:26 EDT
I just tested Fedora x86_64 15 alpha on my NF310. Same issue.
Comment 8 Josh Boyer 2011-08-29 11:24:39 EDT
(In reply to comment #7)
> I just tested Fedora x86_64 15 alpha on my NF310. Same issue.

Does this still happen on the latest f15 kernel or the f16 alpha?

Note You need to log in before you can comment on or make changes to this bug.